| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

Functions
Wireless Message Service

## Functions
IMPORTGOBI ULONG GOBICMAPI | SetNewSMSCallback (tFNNewSMS pCallback)
IMPORTGOBI ULONG GOBICMAPI | DeleteSMS (ULONG storageType, ULONG *pMessageIndex, ULONG *pMessageTag)
IMPORTGOBI ULONG GOBICMAPI | GetSMSList (ULONG storageType, ULONG *pRequestedTag, ULONG *pMessageListSize, BYTE *pMessageList)
IMPORTGOBI ULONG GOBICMAPI | GetSMS (ULONG storageType, ULONG messageIndex, ULONG *pMessageTag, ULONG *pMessageFormat, ULONG *pMessageSize, BYTE *pMessage)
IMPORTGOBI ULONG GOBICMAPI | ModifySMSStatus (ULONG storageType, ULONG messageIndex, ULONG messageTag)
IMPORTGOBI ULONG GOBICMAPI | SaveSMS (ULONG storageType, ULONG messageFormat, ULONG messageSize, BYTE *pMessage, ULONG *pMessageIndex)
IMPORTGOBI ULONG GOBICMAPI | SendSMS (ULONG messageFormat, ULONG messageSize, BYTE *pMessage, BYTE link_timer, ULONG *pMessageFailureCode)
IMPORTGOBI ULONG GOBICMAPI | GetSMSCAddress (BYTE addressSize, CHAR *pSMSCAddress, BYTE typeSize, CHAR *pSMSCType)
IMPORTGOBI ULONG GOBICMAPI | SetSMSCAddress (CHAR *pSMSCAddress, CHAR *pSMSCType)
IMPORTGOBI ULONG GOBICMAPI | GetSMSRoutes (BYTE *pRouteSize, BYTE *pRoutes)
IMPORTGOBI ULONG GOBICMAPI | SetSMSRoutes (BYTE *pRouteSize, BYTE *pRoutes)
IMPORTGOBI ULONG GOBICMAPI | GetSMSProtocol (BYTE *pProtocol)
IMPORTGOBI ULONG GOBICMAPI | SetSMSProtocol (BYTE protocol)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI DeleteSMS | ( | ULONG | storageType,
|  | ULONG * | pMessageIndex,
|  | ULONG * | pMessageTag
| ) |  |

This function deletes one or more SMS messages from device memory QMI_WMS_DELETE_MSG = 0x0024

Parameters

  storageType | [I] SMS message storage type Valid values: 0 - STORAGE_TYPE_UIM 1 - STORAGE_TYPE_NV
  pMessageIndex | [I] (Optional) message index
  pMessageTag | [I] (Optional) message tag Valid values: 0 - TAG_TYPE_MT_READ 1 - TAG_TYPE_MT_NOT_READ 2 - TAG_TYPE_MO_SENT 3 - TAG_TYPE_MO_NOT_SENT

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSMS | ( | ULONG | storageType,
|  | ULONG | messageIndex,
|  | ULONG * | pMessageTag,
|  | ULONG * | pMessageFormat,
|  | ULONG * | pMessageSize,
|  | BYTE * | pMessage
| ) |  |

This function returns an SMS message from device memory QMI_WMS_RAW_READ_MSG = 0x0022

Parameters

  storageType | [I] SMS message storage type Valid values: 0 - STORAGE_TYPE_UIM 1 - STORAGE_TYPE_NV
  messageIndex | [I] message index
  pMessageTag | [O] Message tag Valid values: 0 - TAG_TYPE_MT_READ 1 - TAG_TYPE_MT_NOT_READ 2 - TAG_TYPE_MO_SENT 3 - TAG_TYPE_MO_NOT_SENT
  pMessageFormat | [O] Message format 0x0 - MESSAGE_FORMAT_CDMA 0x02~0x05 - Reserved 0x06 - MESSAGE_FORMAT_GW_PP 0x08 - MESSAGE_FORMAT_MWI
  pMessageSize | [I/O] Upon input the maximum number of bytes that can be written to the message array. Upon successful output the actual number of bytes written to the message array
  pMessage | [O] The message contents array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSMSCAddress | ( | BYTE | addressSize,
|  | CHAR * | pSMSCAddress,
|  | BYTE | typeSize,
|  | CHAR * | pSMSCType
| ) |  |

This function returns the SMS center address QMI_WMS_GET_SMSC_ADDRESS_MSG = 0x0034

Parameters

  addressSize | [I] The maximum number of characters (including NULL terminator) that the SMS center address array can contain
  pSMSCAddress | [O] The SMS center address represented as a NULL terminated string
  typeSize | [I] The maximum number of characters (including NULL terminator) that the SMS center address type array can contain
  pSMSCType | [O] The SMS center address type represented as a NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSMSList | ( | ULONG | storageType,
|  | ULONG * | pRequestedTag,
|  | ULONG * | pMessageListSize,
|  | BYTE * | pMessageList
| ) |  |

This function returns the list of SMS messages stored on the device QMI_WMS_LIST_MESSAGES_MSG = 0x0031

Parameters

  storageType | [I] SMS message storage type Valid values: 0 - STORAGE_TYPE_UIM 1 - STORAGE_TYPE_NV
  pRequestedTag | [I] Message tag Valid values: 0 - TAG_TYPE_MT_READ 1 - TAG_TYPE_MT_NOT_READ 2 - TAG_TYPE_MO_SENT 3 - TAG_TYPE_MO_NOT_SENT
  pMessageListSize | [I/O] Upon input the maximum number of elements that the message list array can contain. Upon successful output the actual number of elements in the message list array
  pMessageListSize | [O] The message list array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSMSProtocol | ( | BYTE * | pProtocol | ) |

This function queries the SMS message protocol

Parameters

  pProtocol | [O] SMS message protocol

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSMSRoutes | ( | BYTE * | pRouteSize,
|  | BYTE * | pRoutes
| ) |  |

This function gets the current incoming SMS routing information QMI_WMS_GET_ROUTES_MSG = 0x0033

Parameters

  pRouteSize | [I/O] Upon input the maximum number of elements that the SMS route array can contain. Upon success the actual number of elements in the SMS route array
  pRoutes | [O] The SMS route array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI ModifySMSStatus | ( | ULONG | storageType,
|  | ULONG | messageIndex,
|  | ULONG | messageTag
| ) |  |

This function modifies the status of an SMS message saved in storage on the device QMI_WMS_MODIFY_TAG_MSG = 0x0023

Parameters

  storageType | [I] SMS message storage type Valid values: 0 - STORAGE_TYPE_UIM 1 - STORAGE_TYPE_NV
  messageIndex | [I] message index
  pMessageTag | [I] Message tag Valid values: 0 - TAG_TYPE_MT_READ 1 - TAG_TYPE_MT_NOT_READ 2 - TAG_TYPE_MO_SENT 3 - TAG_TYPE_MO_NOT_SENT

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SaveSMS | ( | ULONG | storageType,
|  | ULONG | messageFormat,
|  | ULONG | messageSize,
|  | BYTE * | pMessage,
|  | ULONG * | pMessageIndex
| ) |  |

This function saves an SMS message to device memory QMI_WMS_RAW_WRITE_MSG = 0x0021

Parameters

  storageType | [I] SMS message storage type Valid values: 0 - STORAGE_TYPE_UIM 1 - STORAGE_TYPE_NV
  messageFormat | [I] Message format 0x0 - MESSAGE_FORMAT_CDMA 0x02~0x05 - Reserved 0x06 - MESSAGE_FORMAT_GW_PP 0x08 - MESSAGE_FORMAT_MWI
  pMessageSize | [I] The length of the message contents in bytes
  pMessage | [I] The message contents
  pMessageIndex | [O] message index

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SendSMS | ( | ULONG | messageFormat,
|  | ULONG | messageSize,
|  | BYTE * | pMessage,
|  | BYTE | link_timer,
|  | ULONG * | pMessageFailureCode
| ) |  |

This function sends an SMS message for immediate over the air transmission QMI_WMS_RAW_SEND_MSG = 0x0020

Parameters

  messageFormat | [I] Message format 0x0 - MESSAGE_FORMAT_CDMA 0x02~0x05 - Reserved 0x06 - MESSAGE_FORMAT_GW_PP 0x08 - MESSAGE_FORMAT_MWI
  messageSize | [I] The length of the message contents in bytes
  pMessage | [I] The message contents
  link_timer | [I] Keeps the GW SMS link open for the specified number of seconds; can be enabled if more messages are expected to follow
  pMessageFailureCode | [O] Failure code When the function fails due to an error sending the message this parameter may contain the message failure cause code (see 3GPP2 N.S0005 Section 6.5.2.125). If the cause code is not provided then the value will be 0xFFFFFFFF

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetNewSMSCallback | ( | tFNNewSMS | pCallback | ) |

This function enables/disables the new SMS callback function

Parameters

  pCallback | [I] Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetSMSCAddress | ( | CHAR * | pSMSCAddress,
|  | CHAR * | pSMSCType
| ) |  |

This function sets the SMS center address QMI_WMS_SET_SMSC_ADDRESS_MSG = 0x0035

Parameters

  pSMSCAddress | [I] The SMS center address represented as a NULL terminated string
  pSMSCType | [I] (optional) The SMS center address type represented as a NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetSMSProtocol | ( | BYTE | protocol | ) |

This function sets the SMS message protocol

Parameters

  pProtocol | [I] SMS message protocol

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetSMSRoutes | ( | BYTE * | pRouteSize,
|  | BYTE * | pRoutes
| ) |  |

This function sets the desired incoming SMS routing information QMI_WMS_SET_ROUTES_MSG = 0x0032

Parameters

  pRouteSize | [I] Upon input the maximum number of elements that the SMS route array can contain. Upon success the actual number of elements in the SMS route array
  pRoutes | [I] The SMS route array

Returns
  See GobiErrorCodes.h